> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check inventory

> Retrieve products and variants inventory as per product ids and variant ids provided. To be used in S2S API call only.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /catalog/products/check-inventory
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /catalog/products/check-inventory:
    parameters: []
    post:
      tags:
        - Catalog
      summary: Check inventory
      description: >-
        Retrieve products and variants inventory as per product ids and variant
        ids provided. To be used in S2S API call only.
      operationId: check-product-inventory
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - products
              properties:
                products:
                  type: array
                  items:
                    type: object
                    required:
                      - product_id
                      - variant_id
                      - quantity
                    properties:
                      product_id:
                        type: string
                      variant_id:
                        type: string
                      quantity:
                        type: integer
                warehouse_id:
                  description: >-
                    Optional: Provide array of warehouse id to check inventory
                    for a specific warehouses.
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    $ref: '#/components/schemas/InventoryCheckResponse'
      security:
        - Authorization: []
components:
  schemas:
    InventoryCheckResponse:
      title: InventoryCheckResponse
      type: object
      properties:
        inventory_status:
          enum:
            - fulfilled
            - partially-fulfilled
            - not-fulfilled
        total_fulfilled_products:
          type: integer
        total_fulfilled_warehouses:
          type: integer
        inventory:
          type: object
          properties:
            products:
              type: array
              items:
                type: object
                properties:
                  product_id:
                    type: string
                  variant_id:
                    type: string
                  allow_backorder:
                    type: boolean
                  track_inventory:
                    type: boolean
                  requested_quantity:
                    type: integer
                  stock_quantity:
                    type: integer
                  allowed_quantity:
                    type: integer
                  inventory_status:
                    enum:
                      - fulfilled
                      - partially-fulfilled
                      - not-fulfilled
                  warehouses:
                    type: array
                    items:
                      type: object
                      properties:
                        warehouse_id:
                          type: string
                        warehouse_name:
                          type: string
                        stock_quantity:
                          type: integer
                        inventory_status:
                          enum:
                            - fulfilled
                            - partially-fulfilled
                            - not-fulfilled
            warehouses:
              type: array
              items:
                type: object
                properties:
                  warehouse_id:
                    type: string
                  warehouse_name:
                    type: string
                  inventory_status:
                    enum:
                      - fulfilled
                      - partially-fulfilled
                      - not-fulfilled
                  products:
                    type: array
                    items:
                      type: object
                      properties:
                        product_id:
                          type: string
                        variant_id:
                          type: string
                        stock_quantity:
                          type: integer
                        allowed_quantity:
                          type: integer
                        inventory_status:
                          enum:
                            - fulfilled
                            - partially-fulfilled
                            - not-fulfilled
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````